/* 
  Тестирование производилось на Arduino IDE 1.8.0
  Дата тестирования 31.08.2018г.
*/

#include <DS3231.h>                    // Подключаем библиотеку Wire  
DS3231  rtc(SDA, SCL);                 // Инициализация DS3231

void setup()
{
  Serial.begin(115200);                // Установка последовательного соединения
  rtc.begin();                         // Инициализировать rtc
  
// Установка времяни
  rtc.setDOW(FRIDAY);                  //  Установить день-недели
  rtc.setTime(16, 29, 0);              //  Установить время 16:29:00 (формат 24 часа)
  rtc.setDate(31, 8, 2018);            //  Установить дату 31 августа 2018 года
}
void loop()
{
  Serial.print(rtc.getDOWStr());       // Отправляем день-неделя
  Serial.print(" ");
  
  Serial.print(rtc.getDateStr());      // Отправляем дату
  Serial.print(" -- ");

  Serial.println(rtc.getTimeStr());    // Отправляем время
  
  delay (1000);                        // Задержка в одну секунду
}
